[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TWriter.WriteSet

Write a set value to the stream

## Declaration

Source position: classesh.inc line 1458

`public procedure TWriter.WriteSet(`
`Value: LongInt;`
`SetType: Pointer`
`);`

## Description

WriteSet writes a set Value consisting of elements with type EnumType. The set must be encoded as an integer where each element is encoded in a bit of the integer. Thus, at most an enumerated type with 32 elements can be written with this method.

## Errors

No checking is performed on the validity of EnumType. It is assumed to be a valid PTypeInfo pointer.

## See also

TReader.ReadSet |  | Read a set value from the stream

Documentation generated on: Feb 26 2014